Index: CKEditor/branches/features/paste/_source/core/dtd.js
===================================================================
--- CKEditor/branches/features/paste/_source/core/dtd.js	(revision 4744)
+++ CKEditor/branches/features/paste/_source/core/dtd.js	(revision 4745)
@@ -76,11 +76,10 @@
 		$block : block,
 
-
-	    /**
-	     * List of non-empty inline elements, like "b" or "a".
-	     * @type Object
-	     * @example
-	     */
-	    $nonEmptyInline : nonEmptyInline,
+		/**
+		 * List of non-empty inline elements, like "b" or "a".
+		 * @type Object
+		 * @example
+		 */
+		$nonEmptyInline : nonEmptyInline,
 
 		/**
@@ -92,5 +91,5 @@
 
 		$inline : L,	// Just like span.
-		
+
 		$body : X({script:1,style:1}, block),
 
Index: CKEditor/branches/features/paste/_source/core/htmlparser/filter.js
===================================================================
--- CKEditor/branches/features/paste/_source/core/htmlparser/filter.js	(revision 4744)
+++ CKEditor/branches/features/paste/_source/core/htmlparser/filter.js	(revision 4745)
@@ -1,4 +1,2 @@
-
-
 /*
 Copyright (c) 2003-2009, CKSource - Frederico Knabben. All rights reserved.
@@ -94,5 +92,5 @@
 
 						// The none-root element has been dismissed by one of the filters.
-						if( element.parent && !element.name )
+						if ( element.parent && !element.name )
 							break;
 					}
@@ -169,5 +167,5 @@
 			{
 				var item = items[ j ];
-				if( item )
+				if ( item )
 				{
 					item.pri = priority;
Index: CKEditor/branches/features/paste/_source/core/tools.js
===================================================================
--- CKEditor/branches/features/paste/_source/core/tools.js	(revision 4744)
+++ CKEditor/branches/features/paste/_source/core/tools.js	(revision 4745)
@@ -646,16 +646,17 @@
 		tryThese : function()
 		{
-		    var returnValue;
-		    for ( var i = 0, length = arguments.length; i < length; i++ )
-		    {
-		      var lambda = arguments[i];
-		      try
-		      {
-		        returnValue = lambda();
-		        break;
-		      } catch (e) { }
-		    }
-		    return returnValue;
-		 }
+			var returnValue;
+			for ( var i = 0, length = arguments.length; i < length; i++ )
+			{
+				var lambda = arguments[i];
+				try
+				{
+					returnValue = lambda();
+					break;
+				}
+				catch (e) {}
+			}
+			return returnValue;
+		}
 	};
 })();
Index: CKEditor/branches/features/paste/_source/plugins/clipboard/plugin.js
===================================================================
--- CKEditor/branches/features/paste/_source/plugins/clipboard/plugin.js	(revision 4744)
+++ CKEditor/branches/features/paste/_source/plugins/clipboard/plugin.js	(revision 4745)
@@ -120,5 +120,5 @@
 	var onKey = function( event )
 	{
-		if( this.mode != 'wysiwyg' )
+		if ( this.mode != 'wysiwyg' )
 			return;
 
@@ -135,5 +135,5 @@
 					event.cancel();
 				// Simulate 'paste' event for Opera/Firefox2.
-				else if( CKEDITOR.env.opera
+				else if ( CKEDITOR.env.opera
 						 || CKEDITOR.env.gecko && CKEDITOR.env.version < 10900 )
 					body.fire( 'paste' );
@@ -156,10 +156,10 @@
 	// Allow to peek clipboard content by redirecting the
 	// pasting content into a temporary bin and grab the content of it.
-	function getClipboardData( evt, mode, callback ) {
-
+	function getClipboardData( evt, mode, callback )
+	{
 		var doc = this.document;
 
 		// Avoid recursions on 'paste' event for IE.
-		if( CKEDITOR.env.ie && doc.getById( 'cke_pastebin' ) )
+		if ( CKEDITOR.env.ie && doc.getById( 'cke_pastebin' ) )
 			return;
 
@@ -172,20 +172,20 @@
 		doc.getBody().append( pastebin );
 
-
 		// It's definitely a better user experience if we make the paste-bin pretty unnoticed
 		// by pulling it off the screen, while this hack will make the paste-bin a control type element
 		// and that become a selection plain later. 
-		if( !( CKEDITOR.env.ie && mode == 'html' ) )
-		{
-			pastebin.setStyles( {
-				position : 'absolute',
-				left : '-1000px',
-				// Position the bin exactly at the position of the selected element
-				// to avoid any subsequent document scroll.
-				top : sel.getStartElement().getDocumentPosition().y + 'px',
-				width : '1px',
-				height : '1px',
-				overflow : 'hidden'
-			} );
+		if ( !CKEDITOR.env.ie && mode != 'html' )
+		{
+			pastebin.setStyles(
+				{
+					position : 'absolute',
+					left : '-1000px',
+					// Position the bin exactly at the position of the selected element
+					// to avoid any subsequent document scroll.
+					top : sel.getStartElement().getDocumentPosition().y + 'px',
+					width : '1px',
+					height : '1px',
+					overflow : 'hidden'
+				});
 		}
 
@@ -195,5 +195,5 @@
 		if ( mode == 'text' )
 		{
-			if( CKEDITOR.env.ie )
+			if ( CKEDITOR.env.ie )
 			{
 				var ieRange = doc.getBody().$.createTextRange();
@@ -216,24 +216,23 @@
 
 		// Wait a while and grab the pasted contents
-		window.setTimeout( function() {
-
+		window.setTimeout( function()
+		{
 			mode == 'text' && !CKEDITOR.env.ie && ( doc.$.designMode = 'on' );
 			pastebin.remove();
 
-			// Grab the HTML contents
-			// We need to look for a apple style wrapper on webkit it also adds a div wrapper if you copy/paste the body of the editor.
-			// Remove hidden div and restore selection
+			// Grab the HTML contents.
+			// We need to look for a apple style wrapper on webkit it also adds
+			// a div wrapper if you copy/paste the body of the editor.
+			// Remove hidden div and restore selection.
 			var bogusSpan;
 			pastebin = ( CKEDITOR.env.webkit
-					 && ( bogusSpan = pastebin.getFirst() )
-					 && ( bogusSpan.is && bogusSpan.hasClass( 'Apple-style-span' ) ) ?
-					  bogusSpan : pastebin );
+						 && ( bogusSpan = pastebin.getFirst() )
+						 && ( bogusSpan.is && bogusSpan.hasClass( 'Apple-style-span' ) ) ?
+							bogusSpan : pastebin );
 
 			sel.selectBookmarks( bms );
 			callback( pastebin[ 'get' + ( mode == 'text' ? 'Value' : 'Html' ) ]() );
-
 		}, 0 );
 	};
-
 
 	// Register the plugin.
@@ -243,24 +242,23 @@
 			init : function( editor )
 			{
-
 				// Inserts processed data into the editor at the end of the
 				// events chain.
 				editor.on( 'paste', function( evt )
-				{
-					var data = evt.data;
-					if ( data[ 'html' ] )
-						editor.insertHtml( data[ 'html' ] );
-					else if ( data[ 'text' ] )
-						editor.insertText( data[ 'text' ] );
-
-					editor.fire( 'saveSnapshot' ); // Save after inserted.
-
-				}, null, null, 1000 );
+					{
+						var data = evt.data;
+						if ( data[ 'html' ] )
+							editor.insertHtml( data[ 'html' ] );
+						else if ( data[ 'text' ] )
+							editor.insertText( data[ 'text' ] );
+
+						editor.fire( 'saveSnapshot' ); // Save after inserted.
+
+					}, null, null, 1000 );
 
 				editor.on( 'pasteDialog', function( evt )
-				{
-					// Open default paste dialog. 
-					editor.openDialog( 'paste' );
-				} );
+					{
+						// Open default paste dialog. 
+						editor.openDialog( 'paste' );
+					});
 
 				function addButtonCommand( buttonName, commandName, command, ctxMenuOrder )
@@ -304,22 +302,21 @@
 				{
 					var body = editor.document.getBody();
-					body.on( ( mode == 'text' && CKEDITOR.env.ie ) ?
-					          'paste' : 'beforepaste',
-							function( evt )
+					body.on( ( mode == 'text' && CKEDITOR.env.ie ) ? 'paste' : 'beforepaste',
+						function( evt )
+						{
+							getClipboardData.call( editor, evt, mode, function ( data )
 							{
-								getClipboardData.call( editor, evt, mode, function ( data )
-								{
-									// The very last guard to make sure the
-									// paste has successfully happened.
-									if ( !data )
-										return;
-
-									var dataTransfer = {};
-									dataTransfer[ mode ] = data;
-									editor.fire( 'paste', dataTransfer );
-								} );
+								// The very last guard to make sure the
+								// paste has successfully happened.
+								if ( !data )
+									return;
+
+								var dataTransfer = {};
+								dataTransfer[ mode ] = data;
+								editor.fire( 'paste', dataTransfer );
 							} );
-
-				} );
+						});
+
+				});
 
 				// If the "contextmenu" plugin is loaded, register the listeners.
Index: CKEditor/branches/features/paste/_source/plugins/wysiwygarea/plugin.js
===================================================================
--- CKEditor/branches/features/paste/_source/plugins/wysiwygarea/plugin.js	(revision 4744)
+++ CKEditor/branches/features/paste/_source/plugins/wysiwygarea/plugin.js	(revision 4745)
@@ -48,7 +48,8 @@
 				this.document.$.execCommand( 'inserthtml', false, data );
 
-			CKEDITOR.tools.setTimeout( function(){
-				this.fire( 'saveSnapshot' );
-			}, 0, this );
+			CKEDITOR.tools.setTimeout( function()
+				{
+					this.fire( 'saveSnapshot' );
+				}, 0, this );
 		}
 	}