Index: CKEditor/branches/versions/3.1.x/_source/lang/fi.js
===================================================================
--- CKEditor/branches/versions/3.1.x/_source/lang/fi.js	(revision 4772)
+++ CKEditor/branches/versions/3.1.x/_source/lang/fi.js	(revision 4773)
@@ -32,5 +32,5 @@
 	 * of reading non-English words. So be careful while translating it.
 	 */
-	editorTitle		: 'Rich text editor, %1', // MISSING
+	editorTitle		: 'Tekstieditori, %1',
 
 	// Toolbar buttons without dialogs.
@@ -89,12 +89,12 @@
 		ok				: 'OK',
 		cancel			: 'Peruuta',
-		generalTab		: 'General', // MISSING
+		generalTab		: 'Yleinen',
 		advancedTab		: 'Lisäominaisuudet',
-		validateNumberFailed	: 'This value is not a number.', // MISSING
-		confirmNewPage	: 'Any unsaved changes to this content will be lost. Are you sure you want to load new page?', // MISSING
-		confirmCancel	: 'Some of the options have been changed. Are you sure to close the dialog?', // MISSING
+		validateNumberFailed	: 'Arvon pitää olla numero.',
+		confirmNewPage	: 'Kaikki tallentamattomat muutokset tähän sisältöön menetetään. Oletko varma, että haluat ladata uuden sivun?',
+		confirmCancel	: 'Jotkut asetuksista on muuttuneet. Oletko varma, että haluat sulkea valintaikkunan?',
 
 		// Put the voice-only part of the label in the span.
-		unavailable		: '%1<span class="cke_accessibility">, unavailable</span>' // MISSING
+		unavailable		: '%1<span class="cke_accessibility">, ei saatavissa</span>'
 	},
 
@@ -130,5 +130,5 @@
 		targetPopupName	: 'Popup ikkunan nimi',
 		popupFeatures	: 'Popup ikkunan ominaisuudet',
-		popupResizable	: 'Resizable', // MISSING
+		popupResizable	: 'Venytettävä',
 		popupStatusBar	: 'Tilarivi',
 		popupLocationBar	: 'Osoiterivi',
@@ -142,5 +142,5 @@
 		popupHeight		: 'Korkeus',
 		popupTop		: 'Ylhäältä (px)',
-		id				: 'Id', // MISSING
+		id				: 'Tunniste',
 		langDir			: 'Kielen suunta',
 		langDirNotSet	: '<ei asetettu>',
@@ -188,7 +188,7 @@
 		matchCase			: 'Sama kirjainkoko',
 		matchWord			: 'Koko sana',
-		matchCyclic			: 'Match cyclic', // MISSING
+		matchCyclic			: 'Kierrä ympäri',
 		replaceAll			: 'Korvaa kaikki',
-		replaceSuccessMsg	: '%1 occurrence(s) replaced.' // MISSING
+		replaceSuccessMsg	: '%1 esiintymä(ä) korvattu.'
 	},
 
@@ -216,16 +216,16 @@
 		caption		: 'Otsikko',
 		summary		: 'Yhteenveto',
-		headers		: 'Headers', // MISSING
-		headersNone		: 'None', // MISSING
-		headersColumn	: 'First column', // MISSING
-		headersRow		: 'First Row', // MISSING
-		headersBoth		: 'Both', // MISSING
-		invalidRows		: 'Number of rows must be a number greater than 0.', // MISSING
-		invalidCols		: 'Number of columns must be a number greater than 0.', // MISSING
-		invalidBorder	: 'Border size must be a number.', // MISSING
-		invalidWidth	: 'Table width must be a number.', // MISSING
-		invalidHeight	: 'Table height must be a number.', // MISSING
-		invalidCellSpacing	: 'Cell spacing must be a number.', // MISSING
-		invalidCellPadding	: 'Cell padding must be a number.', // MISSING
+		headers		: 'Ylätunnisteet',
+		headersNone		: 'Ei',
+		headersColumn	: 'Ensimmäinen sarake',
+		headersRow		: 'Ensimmäinen rivi',
+		headersBoth		: 'Molemmat',
+		invalidRows		: 'Rivien määrän täytyy olla suurempi kuin 0.',
+		invalidCols		: 'Sarakkeiden määrän täytyy olla suurempi kuin 0.',
+		invalidBorder	: 'Reunan koon täytyy olla numero.',
+		invalidWidth	: 'Taulun leveyden täytyy olla numero.',
+		invalidHeight	: 'Taulun korkeuden täytyy olla numero.',
+		invalidCellSpacing	: 'Solujen välin täytyy olla numero.',
+		invalidCellPadding	: 'Solujen sisennyksen täytyy olla numero.',
 
 		cell :
@@ -240,26 +240,26 @@
 			splitHorizontal	: 'Jaa solu vaakasuunnassa',
 			splitVertical	: 'Jaa solu pystysuunnassa',
-			title			: 'Cell Properties', // MISSING
-			cellType		: 'Cell Type', // MISSING
-			rowSpan			: 'Rows Span', // MISSING
-			colSpan			: 'Columns Span', // MISSING
-			wordWrap		: 'Word Wrap', // MISSING
-			hAlign			: 'Horizontal Alignment', // MISSING
-			vAlign			: 'Vertical Alignment', // MISSING
-			alignTop		: 'Top', // MISSING
-			alignMiddle		: 'Middle', // MISSING
-			alignBottom		: 'Bottom', // MISSING
-			alignBaseline	: 'Baseline', // MISSING
-			bgColor			: 'Background Color', // MISSING
-			borderColor		: 'Border Color', // MISSING
-			data			: 'Data', // MISSING
-			header			: 'Header', // MISSING
-			yes				: 'Yes', // MISSING
-			no				: 'No', // MISSING
-			invalidWidth	: 'Cell width must be a number.', // MISSING
-			invalidHeight	: 'Cell height must be a number.', // MISSING
-			invalidRowSpan	: 'Rows span must be a whole number.', // MISSING
-			invalidColSpan	: 'Columns span must be a whole number.', // MISSING
-			chooseColor : 'Choose' // MISSING
+			title			: 'Solun ominaisuudet',
+			cellType		: 'Solun tyyppi',
+			rowSpan			: 'Rivin jatkuvuus',
+			colSpan			: 'Solun jatkuvuus',
+			wordWrap		: 'Rivitys',
+			hAlign			: 'Horisontaali kohdistus',
+			vAlign			: 'Vertikaali kohdistus',
+			alignTop		: 'Ylös',
+			alignMiddle		: 'Keskelle',
+			alignBottom		: 'Alas',
+			alignBaseline	: 'Alas (teksti)',
+			bgColor			: 'Taustan väri',
+			borderColor		: 'Reunan väri',
+			data			: 'Data',
+			header			: 'Ylätunniste',
+			yes				: 'Kyllä',
+			no				: 'Ei',
+			invalidWidth	: 'Solun leveyden täytyy olla numero.',
+			invalidHeight	: 'Solun korkeuden täytyy olla numero.',
+			invalidRowSpan	: 'Rivin jatkuvuuden täytyy olla kokonaisluku.',
+			invalidColSpan	: 'Solun jatkuvuuden täytyy olla kokonaisluku.',
+			chooseColor : 'Valitse'
 		},
 
@@ -308,5 +308,5 @@
 		action		: 'Toiminto',
 		method		: 'Tapa',
-		encoding	: 'Encoding', // MISSING
+		encoding	: 'Enkoodaus',
 		target		: 'Kohde',
 		targetNotSet	: '<ei asetettu>',
@@ -390,7 +390,7 @@
 		alertUrl	: 'Kirjoita kuvan osoite (URL)',
 		linkTab	: 'Linkki',
-		button2Img	: 'Do you want to transform the selected image button on a simple image?', // MISSING
-		img2Button	: 'Do you want to transform the selected image on a image button?', // MISSING
-		urlMissing : 'Image source URL is missing.' // MISSING
+		button2Img	: 'Haluatko muuntaa valitun kuvanäppäimen kuvaksi?',
+		img2Button	: 'Haluatko muuntaa valitun kuvan kuvanäppäimeksi?',
+		urlMissing : 'Kuvan lähdeosoite puuttuu.'
 	},
 
@@ -399,18 +399,18 @@
 	{
 		properties		: 'Flash ominaisuudet',
-		propertiesTab	: 'Properties', // MISSING
+		propertiesTab	: 'Ominaisuudet',
 		title		: 'Flash ominaisuudet',
 		chkPlay		: 'Automaattinen käynnistys',
 		chkLoop		: 'Toisto',
 		chkMenu		: 'Näytä Flash-valikko',
-		chkFull		: 'Allow Fullscreen', // MISSING
+		chkFull		: 'Salli kokoruututila',
  		scale		: 'Levitä',
 		scaleAll		: 'Näytä kaikki',
 		scaleNoBorder	: 'Ei rajaa',
 		scaleFit		: 'Tarkka koko',
-		access			: 'Script Access', // MISSING
-		accessAlways	: 'Always', // MISSING
-		accessSameDomain	: 'Same domain', // MISSING
-		accessNever	: 'Never', // MISSING
+		access			: 'Skriptien pääsy',
+		accessAlways	: 'Aina',
+		accessSameDomain	: 'Sama verkkotunnus',
+		accessNever	: 'Ei koskaan',
 		align		: 'Kohdistus',
 		alignLeft	: 'Vasemmalle',
@@ -423,16 +423,16 @@
 		alignTextTop	: 'Ylös (teksti)',
 		alignTop	: 'Ylös',
-		quality		: 'Quality', // MISSING
-		qualityBest		 : 'Best', // MISSING
-		qualityHigh		 : 'High', // MISSING
-		qualityAutoHigh	 : 'Auto High', // MISSING
-		qualityMedium	 : 'Medium', // MISSING
-		qualityAutoLow	 : 'Auto Low', // MISSING
-		qualityLow		 : 'Low', // MISSING
-		windowModeWindow	 : 'Window', // MISSING
-		windowModeOpaque	 : 'Opaque', // MISSING
-		windowModeTransparent	 : 'Transparent', // MISSING
-		windowMode	: 'Window mode', // MISSING
-		flashvars	: 'Variables for Flash', // MISSING
+		quality		: 'Laatu',
+		qualityBest		 : 'Paras',
+		qualityHigh		 : 'Korkea',
+		qualityAutoHigh	 : 'Automaattinen korkea',
+		qualityMedium	 : 'Keskitaso',
+		qualityAutoLow	 : 'Automaattinen matala',
+		qualityLow		 : 'Matala',
+		windowModeWindow	 : 'Ikkuna',
+		windowModeOpaque	 : 'Läpinäkyvyys',
+		windowModeTransparent	 : 'Läpinäkyvä',
+		windowMode	: 'Ikkuna tila',
+		flashvars	: 'Muuttujat Flash:lle',
 		bgcolor	: 'Taustaväri',
 		width	: 'Leveys',
@@ -441,8 +441,8 @@
 		vSpace	: 'Pystytila',
 		validateSrc : 'Linkille on kirjoitettava URL',
-		validateWidth : 'Width must be a number.', // MISSING
-		validateHeight : 'Height must be a number.', // MISSING
-		validateHSpace : 'HSpace must be a number.', // MISSING
-		validateVSpace : 'VSpace must be a number.' // MISSING
+		validateWidth : 'Leveyden täytyy olla numero.',
+		validateHeight : 'Korkeuden täytyy olla numero.',
+		validateHSpace : 'Vaakatilan täytyy olla numero.',
+		validateVSpace : 'Pystytilan täytyy olla numero.'
 	},
 
@@ -451,7 +451,7 @@
 	{
 		toolbar			: 'Tarkista oikeinkirjoitus',
-		title			: 'Spell Check', // MISSING
-		notAvailable	: 'Sorry, but service is unavailable now.', // MISSING
-		errorLoading	: 'Error loading application service host: %s.', // MISSING
+		title			: 'Oikoluku',
+		notAvailable	: 'Valitettavasti oikoluku ei ole käytössä tällä hetkellä.',
+		errorLoading	: 'Virhe ladattaessa oikolukupalvelua isännältä: %s.',
 		notInDic		: 'Ei sanakirjassa',
 		changeTo		: 'Vaihda',
@@ -478,5 +478,5 @@
 	elementsPath :
 	{
-		eleTitle : '%1 element' // MISSING
+		eleTitle : '%1 elementti'
 	},
 
@@ -533,9 +533,9 @@
 	{
 		label : 'Tyyli',
-		voiceLabel : 'Styles', // MISSING
-		panelVoiceLabel : 'Select a style', // MISSING
-		panelTitle1 : 'Block Styles', // MISSING
-		panelTitle2 : 'Inline Styles', // MISSING
-		panelTitle3 : 'Object Styles' // MISSING
+		voiceLabel : 'Tyylit',
+		panelVoiceLabel : 'Valitse tyyli',
+		panelTitle1 : 'Lohkojen tyylit',
+		panelTitle2 : 'Rivinsisäiset tyylit',
+		panelTitle3 : 'Objektien tyylit'
 	},
 
@@ -543,7 +543,7 @@
 	{
 		label : 'Muotoilu',
-		voiceLabel : 'Format', // MISSING
+		voiceLabel : 'Muotoilu',
 		panelTitle : 'Muotoilu',
-		panelVoiceLabel : 'Select a paragraph format', // MISSING
+		panelVoiceLabel : 'Valitse kappaleen muotoilu',
 
 		tag_p : 'Normaali',
@@ -556,5 +556,5 @@
 		tag_h5 : 'Otsikko 5',
 		tag_h6 : 'Otsikko 6',
-		tag_div : 'Normal (DIV)' // MISSING
+		tag_div : 'Normaali (DIV)'
 	},
 
@@ -578,8 +578,8 @@
 	font :
 	{
-		label : 'Fontti',
-		voiceLabel : 'Font', // MISSING
-		panelTitle : 'Fontti',
-		panelVoiceLabel : 'Select a font' // MISSING
+		label : 'Kirjaisinlaji',
+		voiceLabel : 'Kirjaisinlaji',
+		panelTitle : 'Kirjaisinlaji',
+		panelVoiceLabel : 'Valitse kirjaisinlaji'
 	},
 
@@ -587,7 +587,7 @@
 	{
 		label : 'Koko',
-		voiceLabel : 'Font Size', // MISSING
+		voiceLabel : 'Kirjaisimen koko',
 		panelTitle : 'Koko',
-		panelVoiceLabel : 'Select a font size' // MISSING
+		panelVoiceLabel : 'Valitse kirjaisimen koko'
 	},
 
@@ -646,49 +646,49 @@
 	scayt :
 	{
-		title : 'Spell Check As You Type', // MISSING
-		enable : 'Enable SCAYT', // MISSING
-		disable : 'Disable SCAYT', // MISSING
-		about : 'About SCAYT', // MISSING
-		toggle : 'Toggle SCAYT', // MISSING
-		options : 'Options', // MISSING
-		langs : 'Languages', // MISSING
-		moreSuggestions : 'More suggestions', // MISSING
-		ignore : 'Ignore', // MISSING
-		ignoreAll : 'Ignore All', // MISSING
-		addWord : 'Add Word', // MISSING
-		emptyDic : 'Dictionary name should not be empty.', // MISSING
-		optionsTab : 'Options', // MISSING
-		languagesTab : 'Languages', // MISSING
-		dictionariesTab : 'Dictionaries', // MISSING
-		aboutTab : 'About' // MISSING
+		title : 'Oikolue kirjoitettaessa',
+		enable : 'Ota käyttöön oikoluku kirjoitettaessa',
+		disable : 'Poista käytöstä oikoluku kirjoitetaessa',
+		about : 'Tietoja oikoluvusta kirjoitetaessa',
+		toggle : 'Vaihda oikoluku kirjoittaessa tilaa',
+		options : 'Asetukset',
+		langs : 'Kielet',
+		moreSuggestions : 'Lisää ehdotuksia',
+		ignore : 'Ohita',
+		ignoreAll : 'Ohita kaikki',
+		addWord : 'Lisää sana',
+		emptyDic : 'Sanakirjan nimi on annettava.',
+		optionsTab : 'Asetukset',
+		languagesTab : 'Kielet',
+		dictionariesTab : 'Sanakirjat',
+		aboutTab : 'Tietoa'
 	},
 
 	about :
 	{
-		title : 'About CKEditor', // MISSING
-		dlgTitle : 'About CKEditor', // MISSING
-		moreInfo : 'For licensing information please visit our web site:', // MISSING
-		copy : 'Copyright &copy; $1. All rights reserved.' // MISSING
-	},
-
-	maximize : 'Maximize', // MISSING
-	minimize : 'Minimize', // MISSING
+		title : 'Tietoa CKEditorista',
+		dlgTitle : 'Tietoa CKEditorista',
+		moreInfo : 'Lisenssitiedot löytyvät kotisivuiltamme:',
+		copy : 'Copyright &copy; $1. Kaikki oikeuden pidätetään.'
+	},
+
+	maximize : 'Suurenna',
+	minimize : 'Pienennä',
 
 	fakeobjects :
 	{
-		anchor : 'Anchor', // MISSING
-		flash : 'Flash Animation', // MISSING
-		div : 'Page Break', // MISSING
-		unknown : 'Unknown Object' // MISSING
-	},
-
-	resize : 'Drag to resize', // MISSING
+		anchor : 'Ankkuri',
+		flash : 'Flash animaatio',
+		div : 'Sivun vaihto',
+		unknown : 'Tuntematon objekti'
+	},
+
+	resize : 'Raahaa muuttaaksesi kokoa',
 
 	colordialog :
 	{
-		title : 'Select color', // MISSING
-		highlight : 'Highlight', // MISSING
-		selected : 'Selected', // MISSING
-		clear : 'Clear' // MISSING
+		title : 'Valitse väri',
+		highlight : 'Korostus',
+		selected : 'Valittu',
+		clear : 'Poista'
 	},
 