Index: CKEditor/trunk/_samples/replacebycode.html
===================================================================
--- CKEditor/trunk/_samples/replacebycode.html	(revision 4530)
+++ CKEditor/trunk/_samples/replacebycode.html	(revision 4851)
@@ -6,71 +6,78 @@
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-	<title>Replace Textarea by Code - CKEditor Sample</title>
-	<script type="text/javascript" src="sample.js"></script>
+	<title>Sample - CKEditor</title>
+	<meta content="text/html; charset=utf-8" http-equiv="content-type" />
+	<!-- CKReleaser %REMOVE_LINE%
+	<script type="text/javascript" src="../ckeditor.js"></script>
+	CKReleaser %REMOVE_START% -->
+	<script type="text/javascript" src="../ckeditor_source.js"></script>
+	<!-- CKReleaser %REMOVE_END% -->
+	<script src="sample.js" type="text/javascript"></script>
+	<link href="sample.css" rel="stylesheet" type="text/css" />
 </head>
 <body>
-	<div id="html">
-		<form action="sample_posteddata.php" method="post">
+	<h1>
+		CKEditor Sample
+	</h1>
+	<!-- This <div> holds alert messages to be display in the sample page. -->
+	<div id="alerts">
+		<noscript>
 			<p>
-				<label for="editor1">
-					Editor 1:</label><br />
-				<textarea id="editor1" name="editor1" rows="10" cols="80">&lt;p&gt;This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://ckeditor.com/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;</textarea>
-				<script type="text/javascript">
-				//<![CDATA[
+				<strong>CKEditor requires JavaScript to run</strong>. In a browser with no JavaScript
+				support, like yours, you should still see the contents (HTML data) and you should
+				be able to edit it normally, without a rich editor interface.
+			</p>
+		</noscript>
+	</div>
+	<form action="sample_posteddata.php" method="post">
+		<p>
+			<label for="editor1">
+				Editor 1:</label><br />
+			<textarea cols="80" id="editor1" name="editor1" rows="10">&lt;p&gt;This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://ckeditor.com/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;</textarea>
+			<script type="text/javascript">
+			//<![CDATA[
 
-					// This call can be placed at any point after the
-					// <textarea>, or inside a <head><script> in a
-					// window.onload event handler.
+				// This call can be placed at any point after the
+				// <textarea>, or inside a <head><script> in a
+				// window.onload event handler.
 
-					// Replace the <textarea id="editor"> with an CKEditor
-					// instance, using default configurations.
-					CKEDITOR.replace( 'editor1' );
+				// Replace the <textarea id="editor"> with an CKEditor
+				// instance, using default configurations.
+				CKEDITOR.replace( 'editor1' );
 
-				//]]>
-				</script>
-			</p>
-			<p>
-				<label for="editor2">
-					Editor 2:</label><br />
-				<textarea id="editor2" name="editor2" rows="10" cols="80">&lt;p&gt;This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://ckeditor.com/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;</textarea>
-				<script type="text/javascript">
-				//<![CDATA[
+			//]]>
+			</script>
+		</p>
+		<p>
+			<label for="editor2">
+				Editor 2:</label><br />
+			<textarea cols="80" id="editor2" name="editor2" rows="10">&lt;p&gt;This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://ckeditor.com/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;</textarea>
+			<script type="text/javascript">
+			//<![CDATA[
 
-					// This call can be placed at any point after the
-					// <textarea>, or inside a <head><script> in a
-					// window.onload event handler.
+				// This call can be placed at any point after the
+				// <textarea>, or inside a <head><script> in a
+				// window.onload event handler.
 
-					// Replace the <textarea id="editor"> with an CKEditor
-					// instance, using default configurations.
-					CKEDITOR.replace( 'editor2' );
+				// Replace the <textarea id="editor"> with an CKEditor
+				// instance, using default configurations.
+				CKEDITOR.replace( 'editor2' );
 
-				//]]>
-				</script>
-			</p>
-			<p>
-				<input type="submit" value="Submit" />
-			</p>
-		</form>
-	</div>
-	<div id="code">
-		<pre>
-&lt;form action=""&gt;
-  &lt;p&gt;
-    &lt;label for="editor1"&gt;
-      Editor 1:&lt;/label&gt;&lt;br /&gt;
-    &lt;textarea <b>name="editor1"</b> rows="10" cols="80"&gt;&lt;p&gt;This is some &lt;strong&gt;sample text&lt;/strong&gt;. You are using &lt;a href="http://ckeditor.com/"&gt;CKEditor&lt;/a&gt;.&lt;/p&gt;&lt;/textarea&gt;
-    &lt;script type="text/javascript"&gt;
-    //&lt;![CDATA[
-
-      <b>CKEDITOR.replace( 'editor1' );</b>
-
-    //]]&gt;
-    &lt;/script&gt;
-  &lt;/p&gt;
-  &lt;p&gt;
-    &lt;input type="submit" value="Submit" /&gt;
-  &lt;/p&gt;
-&lt;/form&gt;
-</pre>
+			//]]>
+			</script>
+		</p>
+		<p>
+			<input type="submit" value="Submit" />
+		</p>
+	</form>
+	<div id="footer">
+		<hr />
+		<p>
+			CKEditor - The text editor for Internet - <a href="http://ckeditor.com/">http://ckeditor.com</a>
+		</p>
+		<p id="copy">
+			Copyright &copy; 2003-2009, <a href="http://cksource.com/">CKSource</a> - Frederico
+			Knabben. All rights reserved.
+		</p>
 	</div>
 </body>