Index: CKEditor/branches/features/aria/_source/lang/en.js
===================================================================
--- CKEditor/branches/features/aria/_source/lang/en.js	(revision 4888)
+++ CKEditor/branches/features/aria/_source/lang/en.js	(revision 4896)
@@ -1,3 +1,3 @@
-﻿/*
+/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
@@ -93,8 +93,5 @@
 		validateNumberFailed	: 'This value is not a number.',
 		confirmNewPage	: 'Any unsaved changes to this content will be lost. Are you sure you want to load new page?',
-		confirmCancel	: 'Some of the options have been changed. Are you sure to close the dialog?',
-
-		// Put the voice-only part of the label in the span.
-		unavailable		: '%1<span class="cke_accessibility">, unavailable</span>'
+		confirmCancel	: 'Some of the options have been changed. Are you sure to close the dialog?'
 	},
 
@@ -533,5 +530,4 @@
 	{
 		label : 'Styles',
-		voiceLabel : 'Styles',
 		panelVoiceLabel : 'Select a style',
 		panelTitle1 : 'Block Styles',
@@ -543,5 +539,4 @@
 	{
 		label : 'Format',
-		voiceLabel : 'Format',
 		panelTitle : 'Paragraph Format',
 		panelVoiceLabel : 'Select a paragraph format',
Index: CKEditor/branches/features/aria/_source/plugins/button/plugin.js
===================================================================
--- CKEditor/branches/features/aria/_source/plugins/button/plugin.js	(revision 4888)
+++ CKEditor/branches/features/aria/_source/plugins/button/plugin.js	(revision 4896)
@@ -1,3 +1,3 @@
-﻿/*
+/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
@@ -138,5 +138,7 @@
 				' title="', this.title, '"' +
 				' tabindex="-1"' +
-				' hidefocus="true"' );
+				' hidefocus="true"' +
+			    ' role="button"' +
+				' aria-labelledby="' + id + '_label"' );
 
 		// Some browsers don't cancel key events in the keydown but in the
@@ -171,5 +173,5 @@
 		output.push(
 					'></span>' +
-					'<span class="cke_label">', this.label, '</span>' );
+					'<span id="', id, '_label" class="cke_label">', this.label, '</span>' );
 
 		if ( this.hasArrow )
@@ -199,13 +201,7 @@
 		{
 			element.setState( state );
-
-			var htmlTitle = this.title,
-				unavailable = this._.editor.lang.common.unavailable,
-				labelElement = element.getChild( 1 );
-
-			if ( state == CKEDITOR.TRISTATE_DISABLED )
-				htmlTitle = unavailable.replace( '%1', this.title );
-
-			labelElement.setHtml( htmlTitle );
+			state == CKEDITOR.TRISTATE_DISABLED ?
+				element.setAttribute( 'aria-disabled', true ) :
+				element.removeAttribute( 'aria-disabled' );
 		}
 
Index: CKEditor/branches/features/aria/_source/plugins/panel/plugin.js
===================================================================
--- CKEditor/branches/features/aria/_source/plugins/panel/plugin.js	(revision 4888)
+++ CKEditor/branches/features/aria/_source/plugins/panel/plugin.js	(revision 4896)
@@ -156,6 +156,6 @@
 						'</head>' +
 						'<body class="cke_' + dir + ' cke_panel_frame ' + CKEDITOR.env.cssClass + '" style="margin:0;padding:0"' +
-						' onload="( window.CKEDITOR || window.parent.CKEDITOR ).tools.callFunction(' + onLoad + ');">' +
-						'</body>' +
+						' onload="( window.CKEDITOR || window.parent.CKEDITOR ).tools.callFunction(' + onLoad + ');"' +
+						' role="application"></body>' +
 						// It looks strange, but for FF2, the styles must go
 						// after <body>, so it (body) becames immediatelly
Index: CKEditor/branches/features/aria/_source/plugins/richcombo/plugin.js
===================================================================
--- CKEditor/branches/features/aria/_source/plugins/richcombo/plugin.js	(revision 4888)
+++ CKEditor/branches/features/aria/_source/plugins/richcombo/plugin.js	(revision 4896)
@@ -1,3 +1,3 @@
-﻿/*
+/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
@@ -164,6 +164,7 @@
 			output.push(
 				'>' +
-					'<span class=cke_label>', this.label, '</span>' +
-					'<a hidefocus=true title="', this.title, '" tabindex="-1" href="javascript:void(\'', this.label, '\')"' );
+					'<span id="' + id+ '_label" class=cke_label>', this.label, '</span>' +
+					'<a hidefocus=true title="', this.title, '" tabindex="-1" href="javascript:void(\'', this.label, '\')"' +
+						' role="button" aria-labelledby="', id ,'_label"' );
 
 			// Some browsers don't cancel key events in the keydown but in the
@@ -188,5 +189,4 @@
 					' onclick="CKEDITOR.tools.callFunction(', clickFn, ', this); return false;">' +
 						'<span>' +
-							'<span class="cke_accessibility">' + ( this.voiceLabel ? this.voiceLabel + ' ' : '' ) + '</span>' +
 							'<span id="' + id + '_text" class="cke_text cke_inline_label">' + this.label + '</span>' +
 						'</span>' +
@@ -282,5 +282,7 @@
 			this._.value = value;
 
-			var textElement = this.document.getById( 'cke_' + this.id + '_text' );
+			var element = this.document.getById( 'cke_' + this.id )
+								.getElementsByTag( 'a' ).getItem( 0 ),
+				 textElement = this.document.getById( 'cke_' + this.id + '_text' );
 
 			if ( !( value || text ) )
@@ -292,4 +294,7 @@
 				textElement.removeClass( 'cke_inline_label' );
 			textElement.setHtml( typeof text != 'undefined' ? text : value );
+
+			// Update link 'tilte' to represent the currectly selected combo value.
+			element.setAttribute( 'title', typeof text != 'undefined' ? text : value );
 		},
 
Index: CKEditor/branches/features/aria/_source/themes/default/theme.js
===================================================================
--- CKEditor/branches/features/aria/_source/themes/default/theme.js	(revision 4888)
+++ CKEditor/branches/features/aria/_source/themes/default/theme.js	(revision 4896)
@@ -120,4 +120,5 @@
 					' lang="', editor.langCode, '"' +
 					' tabindex="' + tabIndex + '"' +
+					' role="application"' +
 					( style ? ' style="' + style + '"' : '' ) +
 					'>' +
@@ -168,4 +169,5 @@
 						'" dir="', editor.lang.dir, '"' +
 						' lang="', editor.langCode, '"' +
+						' role="application"' +
 						'>' +
 						'<table class="cke_dialog', ' ' + CKEDITOR.env.cssClass,